__gnu_cxx::__pool_base(3)

NAME
__gnu_cxx::__pool_base - Base class for pool object.

SYNOPSIS

Inherited by __gnu_cxx::__pool< false >, and __gnu_cxx::__pool< true >.

  Public Types
typedef unsigned short int _Binmap_type
typedef std::size_t size_t

  Public Member Functions
__pool_base (const _Tune &__options)
bool _M_check_threshold (size_t __bytes)
size_t _M_get_align ()
size_t _M_get_binmap (size_t __bytes)
const _Tune & _M_get_options () const
void _M_set_options (_Tune __t)

  Protected Attributes
_Binmap_type * _M_binmap
bool _M_init
_Tune _M_options

Detailed Description

Base class for pool object.

Definition at line 49 of file mt_allocator.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.